cURL
curl --request GET \
--url 'https://api.fastforex.io/fetch-all?api_key='import requests
url = "https://api.fastforex.io/fetch-all?api_key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.fastforex.io/fetch-all?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fastforex.io/fetch-all?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fastforex.io/fetch-all?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fastforex.io/fetch-all?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fastforex.io/fetch-all?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"base": "USD",
"results": {
"AED": 3.6733,
"AFN": 64.7763,
"ALL": 79.87,
"AMD": 363.46,
"ANG": 1.788,
"AOA": 913,
"ARS": 1514.003,
"AUD": 1.4053,
"AWG": 1.8098,
"AZN": 1.7,
"BAM": 1.7077,
"BBD": 2,
"BDT": 122.87,
"BGN": 1.665,
"BHD": 0.377,
"BIF": 2995.77,
"BMD": 1,
"BND": 1.2751,
"BOB": 11.93,
"BRL": 5.1196,
"BRX": 5.1114,
"BSD": 1,
"BTN": 95.5257,
"BWP": 13.2275,
"BYN": 3.03,
"BZD": 2.0178,
"CAD": 1.40527,
"CDF": 2272.75,
"CHF": 0.82016,
"CLF": 0.02304,
"CLP": 944.74,
"CNH": 6.6979,
"CNY": 6.699,
"COP": 3205.58,
"COU": 7.6609,
"CRC": 450.27,
"CUP": 24,
"CVE": 96.35,
"CZK": 21.2497,
"DJF": 178.474,
"DKK": 6.52689,
"DOP": 59.32,
"DZD": 134.173,
"EGP": 51.6192,
"ERN": 15.13,
"ETB": 161,
"EUR": 0.873096,
"FJD": 2.2382,
"FKP": 0.7485,
"FOK": 6.52689,
"GBP": 0.748523,
"GEL": 2.6074,
"GGP": 0.748523,
"GHS": 11.5227,
"GIP": 0.7485,
"GMD": 74.38,
"GNF": 8840,
"GTQ": 7.63,
"GYD": 208.79,
"HKD": 7.84325,
"HNL": 26.9062,
"HTG": 130.687,
"HUF": 315.549,
"HUX": 317.46,
"IDR": 17792.2,
"ILS": 3.01613,
"IMP": 0.748523,
"INR": 95.5257,
"IQD": 1310.52,
"IRR": 1375205.25,
"ISK": 120.83,
"JEP": 0.748523,
"JMD": 157.14,
"JOD": 0.7088,
"JPY": 157.27,
"KES": 129.43,
"KGS": 87.485,
"KHR": 4055,
"KID": 1.4053,
"KMF": 429.89,
"KPW": 900,
"KRW": 1353.885,
"KWD": 0.30887,
"KYD": 0.82,
"KZT": 447.05,
"LAK": 22314,
"LBP": 89500,
"LKR": 329.4,
"LRD": 172.63,
"LSL": 16.26,
"LYD": 6.3724,
"MAD": 9.5588,
"MDL": 17.5,
"MGA": 4395,
"MKD": 53.66,
"MMK": 2099.68,
"MNT": 3598.95,
"MOP": 8.0786,
"MRU": 40.4,
"MUR": 47.2164,
"MVR": 15.46,
"MWK": 1733.674,
"MXN": 17.2527,
"MXV": 1.95517,
"MYR": 4.074,
"MZN": 63.55,
"NAD": 16.2119,
"NGN": 1323.84,
"NIO": 36.6243,
"NOK": 9.4353,
"NPR": 153.029,
"NZD": 1.744,
"OMR": 0.3851,
"PAB": 1,
"PEN": 3.3727,
"PGK": 4.3516,
"PHP": 62.3605,
"PKR": 277.03,
"PLN": 3.79839,
"PYG": 5943.28,
"QAR": 3.641,
"RON": 4.60625,
"RSD": 102.507,
"RUB": 84.3139,
"RWF": 1473.17,
"SAR": 3.75523,
"SBD": 8.0257,
"SCR": 14.8611,
"SDG": 600.221,
"SEK": 9.834,
"SGD": 1.27507,
"SHP": 0.7485,
"SLE": 24.65,
"SLL": 22871.2,
"SOS": 571.65,
"SRD": 37.81,
"SSP": 5713.292,
"STN": 21.4,
"SVC": 8.75,
"SYP": 121.53,
"SZL": 16.2166,
"THB": 33.126,
"TJS": 9.2509,
"TMT": 3.5,
"TND": 2.9562,
"TOP": 2.377,
"TRY": 48.8197,
"TTD": 6.7734,
"TVD": 1.4053,
"TWD": 31.624,
"TZS": 2623,
"UAH": 44.7586,
"UGX": 3935.2,
"USD": 1,
"UYU": 40.114,
"UZS": 11802.19,
"VED": 850.291,
"VES": 850.291,
"VND": 26018,
"VUV": 117.76,
"WST": 2.7525,
"XAF": 572.73,
"XCD": 2.7,
"XCG": 1.797,
"XDR": 0.73282,
"XOF": 572.73,
"XPF": 104.3,
"YER": 236.53,
"ZAR": 16.2141,
"ZMW": 19.6,
"ZWG": 26.6588
},
"updated": "2026-09-22T13:59:24Z",
"ms": 14
}Physical Currency APIs
Fetch All Exchange Rates
Fetch all available currency rates for the supplied source currency. Midpoint spot rates.
GET
/
fetch-all
cURL
curl --request GET \
--url 'https://api.fastforex.io/fetch-all?api_key='import requests
url = "https://api.fastforex.io/fetch-all?api_key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.fastforex.io/fetch-all?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fastforex.io/fetch-all?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fastforex.io/fetch-all?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fastforex.io/fetch-all?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fastforex.io/fetch-all?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"base": "USD",
"results": {
"AED": 3.6733,
"AFN": 64.7763,
"ALL": 79.87,
"AMD": 363.46,
"ANG": 1.788,
"AOA": 913,
"ARS": 1514.003,
"AUD": 1.4053,
"AWG": 1.8098,
"AZN": 1.7,
"BAM": 1.7077,
"BBD": 2,
"BDT": 122.87,
"BGN": 1.665,
"BHD": 0.377,
"BIF": 2995.77,
"BMD": 1,
"BND": 1.2751,
"BOB": 11.93,
"BRL": 5.1196,
"BRX": 5.1114,
"BSD": 1,
"BTN": 95.5257,
"BWP": 13.2275,
"BYN": 3.03,
"BZD": 2.0178,
"CAD": 1.40527,
"CDF": 2272.75,
"CHF": 0.82016,
"CLF": 0.02304,
"CLP": 944.74,
"CNH": 6.6979,
"CNY": 6.699,
"COP": 3205.58,
"COU": 7.6609,
"CRC": 450.27,
"CUP": 24,
"CVE": 96.35,
"CZK": 21.2497,
"DJF": 178.474,
"DKK": 6.52689,
"DOP": 59.32,
"DZD": 134.173,
"EGP": 51.6192,
"ERN": 15.13,
"ETB": 161,
"EUR": 0.873096,
"FJD": 2.2382,
"FKP": 0.7485,
"FOK": 6.52689,
"GBP": 0.748523,
"GEL": 2.6074,
"GGP": 0.748523,
"GHS": 11.5227,
"GIP": 0.7485,
"GMD": 74.38,
"GNF": 8840,
"GTQ": 7.63,
"GYD": 208.79,
"HKD": 7.84325,
"HNL": 26.9062,
"HTG": 130.687,
"HUF": 315.549,
"HUX": 317.46,
"IDR": 17792.2,
"ILS": 3.01613,
"IMP": 0.748523,
"INR": 95.5257,
"IQD": 1310.52,
"IRR": 1375205.25,
"ISK": 120.83,
"JEP": 0.748523,
"JMD": 157.14,
"JOD": 0.7088,
"JPY": 157.27,
"KES": 129.43,
"KGS": 87.485,
"KHR": 4055,
"KID": 1.4053,
"KMF": 429.89,
"KPW": 900,
"KRW": 1353.885,
"KWD": 0.30887,
"KYD": 0.82,
"KZT": 447.05,
"LAK": 22314,
"LBP": 89500,
"LKR": 329.4,
"LRD": 172.63,
"LSL": 16.26,
"LYD": 6.3724,
"MAD": 9.5588,
"MDL": 17.5,
"MGA": 4395,
"MKD": 53.66,
"MMK": 2099.68,
"MNT": 3598.95,
"MOP": 8.0786,
"MRU": 40.4,
"MUR": 47.2164,
"MVR": 15.46,
"MWK": 1733.674,
"MXN": 17.2527,
"MXV": 1.95517,
"MYR": 4.074,
"MZN": 63.55,
"NAD": 16.2119,
"NGN": 1323.84,
"NIO": 36.6243,
"NOK": 9.4353,
"NPR": 153.029,
"NZD": 1.744,
"OMR": 0.3851,
"PAB": 1,
"PEN": 3.3727,
"PGK": 4.3516,
"PHP": 62.3605,
"PKR": 277.03,
"PLN": 3.79839,
"PYG": 5943.28,
"QAR": 3.641,
"RON": 4.60625,
"RSD": 102.507,
"RUB": 84.3139,
"RWF": 1473.17,
"SAR": 3.75523,
"SBD": 8.0257,
"SCR": 14.8611,
"SDG": 600.221,
"SEK": 9.834,
"SGD": 1.27507,
"SHP": 0.7485,
"SLE": 24.65,
"SLL": 22871.2,
"SOS": 571.65,
"SRD": 37.81,
"SSP": 5713.292,
"STN": 21.4,
"SVC": 8.75,
"SYP": 121.53,
"SZL": 16.2166,
"THB": 33.126,
"TJS": 9.2509,
"TMT": 3.5,
"TND": 2.9562,
"TOP": 2.377,
"TRY": 48.8197,
"TTD": 6.7734,
"TVD": 1.4053,
"TWD": 31.624,
"TZS": 2623,
"UAH": 44.7586,
"UGX": 3935.2,
"USD": 1,
"UYU": 40.114,
"UZS": 11802.19,
"VED": 850.291,
"VES": 850.291,
"VND": 26018,
"VUV": 117.76,
"WST": 2.7525,
"XAF": 572.73,
"XCD": 2.7,
"XCG": 1.797,
"XDR": 0.73282,
"XOF": 572.73,
"XPF": 104.3,
"YER": 236.53,
"ZAR": 16.2141,
"ZMW": 19.6,
"ZWG": 26.6588
},
"updated": "2026-09-22T13:59:24Z",
"ms": 14
}Authorizations
api_keyapiKeyHeaderbearerAuthbasicAuth
Query Parameters
Base currency 3-letter symbol, defaults to USD Three-letter ISO 4217 currency code
Pattern:
[A-Z]{3}Response
Success
Three-letter ISO 4217 currency code
Pattern:
[A-Z]{3}A datetime value. If no timezone offset supplied, UTC/GMT is assumed.
Pattern:
[0-9]{4}-[0-9]{2}-[0-9]{2} [0-9]{2}:[0-9]{2}:[0-9]{2}Server response time in milliseconds
Show child attributes
Show child attributes